<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__crc__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_crc_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__crc__t_1aa8172d5f14d9a24826e003df016ea62d" kind="variable" mutable="no" prot="public" static="no">
        <type>CRYPTO_Type *</type>
        <definition>CRYPTO_Type* cyhal_crc_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="292" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="292" />
      </memberdef>
      <memberdef id="structcyhal__crc__t_1aac1de671fc1cf74d6808fd126fe89238" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_crc_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="293" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="293" />
      </memberdef>
      <memberdef id="structcyhal__crc__t_1a6e9f1abc6fc3e175b4d6536a050d320f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_crc_t::crc_width</definition>
        <argsstring />
        <name>crc_width</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="294" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="294" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CRC object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="30">
        <label>cyhal_crc_t</label>
        <link refid="structcyhal__crc__t" />
        <childnode refid="31" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="31">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
    </collaborationgraph>
    <location bodyend="296" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="290" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="290" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__crc__t_1aa8172d5f14d9a24826e003df016ea62d" virt="non-virtual"><scope>cyhal_crc_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__crc__t_1a6e9f1abc6fc3e175b4d6536a050d320f" virt="non-virtual"><scope>cyhal_crc_t</scope><name>crc_width</name></member>
      <member prot="public" refid="structcyhal__crc__t_1aac1de671fc1cf74d6808fd126fe89238" virt="non-virtual"><scope>cyhal_crc_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>